Package twisted :: Package news :: Module database :: Class NewsStorageAugmentation

[frames | no frames]

## Class NewsStorageAugmentation

    Augmentation --+
                   |
                  NewsStorageAugmentation

A NewsStorage implementation using Twisted's asynchronous DB-API

Method Summary
| `__init__(self, info)`
| `__setstate__(self, state)`
| `_doPost(self, transaction, article)`
| `articleExistsRequest(self, id)`
| `articleRequest(self, group, index, id)`
| `bodyRequest(self, group, index)`
| `groupRequest(self, group)`
| `headRequest(self, group, index)`
| `listGroupRequest(self, group)`
| `listRequest(self)`
| `overviewRequest(self)`
| `postRequest(self, message)`
| `subscriptionRequest(self)`
| `xhdrRequest(self, group, low, high, header)`
| `xoverRequest(self, group, low, high)`
Inherited from Augmentation
| ``createSchema`(self)`
| ``operationDone`(self, done)` Example callback for database operation success.
| ``operationError`(self, error)` Example callback for database operation failure.
| ``runInteraction`(self, interaction, *args, **kw)`
| ``runOperation`(self, *args, **kw)`
| ``runQuery`(self, *args, **kw)`
| ``schemaCreated`(self, result)`
| ``schemaNotCreated`(self, error)`

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.news.database.INewsStor...`
`str` | `schema` = `'\n\n CREATE TABLE groups (\n group_i...`

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class twisted.news.database.INewsStorage at 0x8c3ecf4>,)

### schema

  Type:
    `str`
  Value:

        '''

            CREATE TABLE groups (
                group_id      SERIAL,
                name          VARCHAR(80) NOT NULL,

                flags         INTEGER DEFAULT 0 NOT NULL
            );
        ...

Generated by Epydoc 2.0 on Sat May 15 20:08:27 2004 | http://epydoc.sf.net